/* Application Explorer - a general-purpose application cataloger/indexer
 * Copyright (C) 2006  Aliasgar Lokhandwala <d7@freepgs.com> 
 * http://appexp.sourceforge.net/
 *
 * IStatusBox.java: Describes a component is capable of displaying 
 * 	"status" messages
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */

package app.appexplorer.ui;

/**
 * Provides for an interface that can be attached to any UI component that can
 * show messages. Currently UI components implementing this interface can be
 * passed to FolderSearch for displaying search status.
 * 
 * @see app.appexplorer.hunt.FolderSearch
 * 
 * @author ali
 * @version 2
 */
public interface IStatusBox {
    /**
     * Causes the UI component to show the message passed.
     * 
     * @param status -
     *            The status message to show. Not null.
     */
    public void setText(String status);
}